// ProgDemoDoc.cpp : Implementierung der Klasse CProgDemoDoc
//

#include "stdafx.h"
#include "ProgDemo.h"

#include "ProgDemoDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProgDemoDoc

IMPLEMENT_DYNCREATE(CProgDemoDoc, CDocument)

BEGIN_MESSAGE_MAP(CProgDemoDoc, CDocument)
	//{{AFX_MSG_MAP(CProgDemoDoc)
		// HINWEIS - Hier werden Mapping-Makros vom Klassen-Assistenten eingefügt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERÄNDERN!
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProgDemoDoc Konstruktion/Destruktion

CProgDemoDoc::CProgDemoDoc()
{
	// ZU ERLEDIGEN: Hier Code für One-Time-Konstruktion einfügen

}

CProgDemoDoc::~CProgDemoDoc()
{
}

BOOL CProgDemoDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CProgDemoDoc Serialisierung

void CProgDemoDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// ZU ERLEDIGEN: Hier Code zum Speichern einfügen
	}
	else
	{
		// ZU ERLEDIGEN: Hier Code zum Laden einfügen
	}
}

/////////////////////////////////////////////////////////////////////////////
// CProgDemoDoc Diagnose

#ifdef _DEBUG
void CProgDemoDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CProgDemoDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CProgDemoDoc Befehle
